<?php

/*
 * File: ratatoeskr/languages.php
 */

/*
 * Array: $languages
 * Information about a lot of languages.
 * 
 * $languages is a global array. The array keys represent the ISO 639-1 code of the language.
 * The values are arrays with these keys:
 * 
 * "language"          - The Name of the language in this language (UTF-8 encoded)
 * "translation_exist" - True, if there is a translation file for this language.
 *
 * Source:
 * 	http://en.wikipedia.org/wiki/List_of_ISO_639-1_codes
 */
$languages = array(
	"aa" => array("language" => "Afaraf", "translation_exist" => False),
	"ab" => array("language" => "аҧсуа", "translation_exist" => False),
	"ae" => array("language" => "avesta", "translation_exist" => False),
	"af" => array("language" => "Afrikaans", "translation_exist" => False),
	"ak" => array("language" => "Akan", "translation_exist" => False),
	"am" => array("language" => "አማርኛ", "translation_exist" => False),
	"an" => array("language" => "Aragonés", "translation_exist" => False),
	"ar" => array("language" => "العربية", "translation_exist" => False),
	"as" => array("language" => "অসমীয়া", "translation_exist" => False),
	"av" => array("language" => "авар мацӀ, магӀарул мацӀ", "translation_exist" => False),
	"ay" => array("language" => "aymar aru", "translation_exist" => False),
	"az" => array("language" => "azərbaycan dili", "translation_exist" => False),
	"ba" => array("language" => "башҡорт теле", "translation_exist" => False),
	"be" => array("language" => "Беларуская", "translation_exist" => False),
	"bg" => array("language" => "български език", "translation_exist" => False),
	"bh" => array("language" => "भोजपुरी", "translation_exist" => False),
	"bi" => array("language" => "Bislama", "translation_exist" => False),
	"bm" => array("language" => "bamanankan", "translation_exist" => False),
	"bn" => array("language" => "বাংলা", "translation_exist" => False),
	"bo" => array("language" => "བོད་ཡིག", "translation_exist" => False),
	"br" => array("language" => "brezhoneg", "translation_exist" => False),
	"bs" => array("language" => "bosanski jezik", "translation_exist" => False),
	"ca" => array("language" => "Català", "translation_exist" => False),
	"ce" => array("language" => "нохчийн мотт", "translation_exist" => False),
	"ch" => array("language" => "Chamoru", "translation_exist" => False),
	"co" => array("language" => "corsu, lingua corsa", "translation_exist" => False),
	"cr" => array("language" => "ᓀᐦᐃᔭᐍᐏᐣ", "translation_exist" => False),
	"cs" => array("language" => "česky, čeština", "translation_exist" => False),
	"cu" => array("language" => "ѩзыкъ словѣньскъ", "translation_exist" => False),
	"cv" => array("language" => "чӑваш чӗлхи", "translation_exist" => False),
	"cy" => array("language" => "Cymraeg", "translation_exist" => False),
	"da" => array("language" => "dansk", "translation_exist" => False),
	"de" => array("language" => "Deutsch", "translation_exist" => True),
	"dv" => array("language" => "ދިވެހި", "translation_exist" => False),
	"dz" => array("language" => "རྫོང་ཁ", "translation_exist" => False),
	"ee" => array("language" => "Eʋegbe", "translation_exist" => False),
	"el" => array("language" => "Ελληνικά", "translation_exist" => False),
	"en" => array("language" => "English", "translation_exist" => True),
	"eo" => array("language" => "Esperanto", "translation_exist" => False),
	"es" => array("language" => "español, castellano", "translation_exist" => False),
	"et" => array("language" => "eesti, eesti keel", "translation_exist" => False),
	"eu" => array("language" => "euskara, euskera", "translation_exist" => False),
	"fa" => array("language" => "فارسی", "translation_exist" => False),
	"ff" => array("language" => "Fulfulde, Pulaar, Pular", "translation_exist" => False),
	"fi" => array("language" => "suomi, suomen kieli", "translation_exist" => False),
	"fj" => array("language" => "vosa Vakaviti", "translation_exist" => False),
	"fo" => array("language" => "føroyskt", "translation_exist" => False),
	"fr" => array("language" => "français, langue française", "translation_exist" => False),
	"fy" => array("language" => "Frysk", "translation_exist" => False),
	"ga" => array("language" => "Gaeilge", "translation_exist" => False),
	"gd" => array("language" => "Gàidhlig", "translation_exist" => False),
	"gl" => array("language" => "Galego", "translation_exist" => False),
	"gn" => array("language" => "Avañe'ẽ", "translation_exist" => False),
	"gu" => array("language" => "ગુજરાતી", "translation_exist" => False),
	"gv" => array("language" => "Gaelg, Gailck", "translation_exist" => False),
	"ha" => array("language" => "Hausa, هَوُسَ", "translation_exist" => False),
	"he" => array("language" => "עברית", "translation_exist" => False),
	"hi" => array("language" => "हिन्दी, हिंदी", "translation_exist" => False),
	"ho" => array("language" => "Hiri Motu", "translation_exist" => False),
	"hr" => array("language" => "hrvatski", "translation_exist" => False),
	"ht" => array("language" => "Kreyòl ayisyen", "translation_exist" => False),
	"hu" => array("language" => "Magyar", "translation_exist" => False),
	"hy" => array("language" => "Հայերեն", "translation_exist" => False),
	"hz" => array("language" => "Otjiherero", "translation_exist" => False),
	"ia" => array("language" => "Interlingua", "translation_exist" => False),
	"id" => array("language" => "Bahasa Indonesia", "translation_exist" => False),
	"ie" => array("language" => "Originally called ", "translation_exist" => False),
	"ig" => array("language" => "Asụsụ Igbo", "translation_exist" => False),
	"ii" => array("language" => "ꆈꌠ꒿ Nuosuhxop", "translation_exist" => False),
	"ik" => array("language" => "Iñupiaq, Iñupiatun", "translation_exist" => False),
	"io" => array("language" => "Ido", "translation_exist" => False),
	"is" => array("language" => "Íslenska", "translation_exist" => False),
	"it" => array("language" => "Italiano", "translation_exist" => False),
	"iu" => array("language" => "ᐃᓄᒃᑎᑐᑦ", "translation_exist" => False),
	"ja" => array("language" => "日本語 (にほんご)", "translation_exist" => False),
	"jv" => array("language" => "basa Jawa", "translation_exist" => False),
	"ka" => array("language" => "ქართული", "translation_exist" => False),
	"kg" => array("language" => "KiKongo", "translation_exist" => False),
	"ki" => array("language" => "Gĩkũyũ", "translation_exist" => False),
	"kj" => array("language" => "Kuanyama", "translation_exist" => False),
	"kk" => array("language" => "Қазақ тілі", "translation_exist" => False),
	"kl" => array("language" => "kalaallisut, kalaallit oqaasii", "translation_exist" => False),
	"km" => array("language" => "ភាសាខ្មែរ", "translation_exist" => False),
	"kn" => array("language" => "ಕನ್ನಡ", "translation_exist" => False),
	"ko" => array("language" => "한국어 (韓國語), 조선어 (朝鮮語)", "translation_exist" => False),
	"kr" => array("language" => "Kanuri", "translation_exist" => False),
	"ks" => array("language" => "कश्मीरी, كشميري‎", "translation_exist" => False),
	"ku" => array("language" => "Kurdî, كوردی‎", "translation_exist" => False),
	"kv" => array("language" => "коми кыв", "translation_exist" => False),
	"kw" => array("language" => "Kernewek", "translation_exist" => False),
	"ky" => array("language" => "кыргыз тили", "translation_exist" => False),
	"la" => array("language" => "latine, lingua latina", "translation_exist" => False),
	"lb" => array("language" => "Lëtzebuergesch", "translation_exist" => False),
	"lg" => array("language" => "Luganda", "translation_exist" => False),
	"li" => array("language" => "Limburgs", "translation_exist" => False),
	"ln" => array("language" => "Lingála", "translation_exist" => False),
	"lo" => array("language" => "ພາສາລາວ", "translation_exist" => False),
	"lt" => array("language" => "lietuvių kalba", "translation_exist" => False),
	"lu" => array("language" => "Luba-Katanga", "translation_exist" => False),
	"lv" => array("language" => "latviešu valoda", "translation_exist" => False),
	"mg" => array("language" => "Malagasy fiteny", "translation_exist" => False),
	"mh" => array("language" => "Kajin M̧ajeļ", "translation_exist" => False),
	"mi" => array("language" => "te reo Māori", "translation_exist" => False),
	"mk" => array("language" => "македонски јазик", "translation_exist" => False),
	"ml" => array("language" => "മലയാളം", "translation_exist" => False),
	"mn" => array("language" => "монгол", "translation_exist" => False),
	"mr" => array("language" => "मराठी", "translation_exist" => False),
	"ms" => array("language" => "bahasa Melayu, بهاس ملايو‎", "translation_exist" => False),
	"mt" => array("language" => "Malti", "translation_exist" => False),
	"my" => array("language" => "ဗမာစာ", "translation_exist" => False),
	"na" => array("language" => "Ekakairũ Naoero", "translation_exist" => False),
	"nb" => array("language" => "Norsk bokmål", "translation_exist" => False),
	"nd" => array("language" => "isiNdebele", "translation_exist" => False),
	"ne" => array("language" => "नेपाली", "translation_exist" => False),
	"ng" => array("language" => "Owambo", "translation_exist" => False),
	"nl" => array("language" => "Nederlands, Vlaams", "translation_exist" => False),
	"nn" => array("language" => "Norsk nynorsk", "translation_exist" => False),
	"no" => array("language" => "Norsk", "translation_exist" => False),
	"nr" => array("language" => "isiNdebele", "translation_exist" => False),
	"nv" => array("language" => "Diné bizaad, Dinékʼehǰí", "translation_exist" => False),
	"ny" => array("language" => "chiCheŵa, chinyanja", "translation_exist" => False),
	"oc" => array("language" => "Occitan", "translation_exist" => False),
	"oj" => array("language" => "ᐊᓂᔑᓈᐯᒧᐎᓐ", "translation_exist" => False),
	"om" => array("language" => "Afaan Oromoo", "translation_exist" => False),
	"or" => array("language" => "ଓଡ଼ିଆ", "translation_exist" => False),
	"os" => array("language" => "ирон æвзаг", "translation_exist" => False),
	"pa" => array("language" => "ਪੰਜਾਬੀ, پنجابی‎", "translation_exist" => False),
	"pi" => array("language" => "पाऴि", "translation_exist" => False),
	"pl" => array("language" => "polski", "translation_exist" => False),
	"ps" => array("language" => "پښتو", "translation_exist" => False),
	"pt" => array("language" => "Português", "translation_exist" => False),
	"qu" => array("language" => "Runa Simi, Kichwa", "translation_exist" => False),
	"rm" => array("language" => "rumantsch grischun", "translation_exist" => False),
	"rn" => array("language" => "Ikirundi", "translation_exist" => False),
	"ro" => array("language" => "română", "translation_exist" => False),
	"ru" => array("language" => "русский язык", "translation_exist" => False),
	"rw" => array("language" => "Ikinyarwanda", "translation_exist" => False),
	"sa" => array("language" => "संस्कृतम्", "translation_exist" => False),
	"sc" => array("language" => "sardu", "translation_exist" => False),
	"sd" => array("language" => "yângâ tî sängö", "translation_exist" => False),
	"se" => array("language" => "Davvisámegiella", "translation_exist" => False),
	"sg" => array("language" => "yângâ tî sängö", "translation_exist" => False),
	"si" => array("language" => "සිංහල", "translation_exist" => False),
	"sk" => array("language" => "slovenčina", "translation_exist" => False),
	"sl" => array("language" => "slovenščina", "translation_exist" => False),
	"sm" => array("language" => "gagana fa'a Samoa", "translation_exist" => False),
	"sn" => array("language" => "chiShona", "translation_exist" => False),
	"so" => array("language" => "Soomaaliga, af Soomaali", "translation_exist" => False),
	"sq" => array("language" => "Shqip", "translation_exist" => False),
	"sr" => array("language" => "српски језик", "translation_exist" => False),
	"ss" => array("language" => "SiSwati", "translation_exist" => False),
	"st" => array("language" => "Sesotho", "translation_exist" => False),
	"su" => array("language" => "Basa Sunda", "translation_exist" => False),
	"sv" => array("language" => "svenska", "translation_exist" => False),
	"sw" => array("language" => "Kiswahili", "translation_exist" => False),
	"ta" => array("language" => "தமிழ்", "translation_exist" => False),
	"te" => array("language" => "తెలుగు", "translation_exist" => False),
	"tg" => array("language" => "	тоҷикӣ, toğikī, تاجیکی‎", "translation_exist" => False),
	"th" => array("language" => "ไทย", "translation_exist" => False),
	"ti" => array("language" => "ትግርኛ", "translation_exist" => False),
	"tk" => array("language" => "Türkmen, Түркмен", "translation_exist" => False),
	"tl" => array("language" => "Wikang Tagalog", "translation_exist" => False),
	"tn" => array("language" => "Setswana", "translation_exist" => False),
	"to" => array("language" => "faka Tonga", "translation_exist" => False),
	"tr" => array("language" => "Türkçe", "translation_exist" => False),
	"ts" => array("language" => "Xitsonga", "translation_exist" => False),
	"tt" => array("language" => "татарча, tatarça, تاتارچا‎", "translation_exist" => False),
	"tw" => array("language" => "Twi", "translation_exist" => False),
	"ty" => array("language" => "Reo Tahiti", "translation_exist" => False),
	"ug" => array("language" => "Uyƣurqə, ئۇيغۇرچە‎", "translation_exist" => False),
	"uk" => array("language" => "українська", "translation_exist" => False),
	"ur" => array("language" => "اردو", "translation_exist" => False),
	"uz" => array("language" => "O'zbek, Ўзбек, أۇزبېك‎", "translation_exist" => False),
	"ve" => array("language" => "Tshivenḓa", "translation_exist" => False),
	"vi" => array("language" => "Tiếng Việt", "translation_exist" => False),
	"vo" => array("language" => "Volapük", "translation_exist" => False),
	"wa" => array("language" => "Walon", "translation_exist" => False),
	"wo" => array("language" => "Wollof", "translation_exist" => False),
	"xh" => array("language" => "isiXhosa", "translation_exist" => False),
	"yi" => array("language" => "ייִדיש", "translation_exist" => False),
	"yo" => array("language" => "Yorùbá", "translation_exist" => False),
	"za" => array("language" => "Saɯ cueŋƅ, Saw cuengh", "translation_exist" => False),
	"zh" => array("language" => "中文, 汉语, 漢語", "translation_exist" => False),
	"zu" => array("language" => "isiZulu", "translation_exist" => False)
);
?>
